Subject: RE: [Isis-wg] ISIS agenda ...

From: "Manral, Vishwas" <[email-masked]>
Date: Tue, 5 Nov 2002 08:05:02 -0500

Hi Chris,

I do not know much about site-local address, however a few points: -

1. Site-locals would need to be restricted only in case we have site-locals
in connected networks. If site locals are in non-connected networks it would
not create a problem.
2. I guess we can also say the same about L2toL1 as L1toL2, in case the L2
domain is mapped to a site. Shouldn't we?
3. Shouldn't we put the discussion in reverse i.e. "Incase the site is
mapped to an area an operator should restrict L1 to L2 redistribution of
site-local prefix".
4. Besides I think we should also put in the discussion about external
reachability info(which would be the same too)?

Thanks,
Vishwas

-----Original Message-----
From: Chris Hopps [mailto:[email-masked]]
Sent: Tuesday, November 05, 2002 6:02 PM
To: [email-masked]'
Cc: [email-masked]'
Subject: RE: [Isis-wg] ISIS agenda ...

I'll be there and be willing to field questions and comments regarding the
new operational "site-local" section of the ipv6 draft, although I'd prefer
they go to the list, first.

Chris.

-----Original Message-----
From: Tony Przygienda [mailto:[email-masked]]
Sent: Tuesday, November 05, 2002 1:04 AM
To: [email-masked]'
Subject: [Isis-wg] ISIS agenda ...

pretty scarse so far albeit we have plenty drafts & updates between last 
time and now.
A possible conclusion would be that most ISIS working group attendants 
are boondogles
that don't go to blue-collar places like Atlanta ;-)

Duration            Topic                Pres

10min               Administrativa       Tony P.
10min               M-ISIS update        Tony P.

    thanks

    -- tony
    
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Naiming Shen <[email-masked]>
Date: Tue, 05 Nov 2002 22:45:41 -0800

Chris,

 ] 
 ] I'll be there and be willing to field questions and comments regarding the
 ] new operational "site-local" section of the ipv6 draft, although I'd prefer
 ] they go to the list, first.
 ] 
 ] Chris.

I would think its not good to put "site-local" in that draft, maybe
because i don't understand that at all;-) It's perfect for
"future study".

My feeling of ipv6 "site-local" is that, it has little to do with
our current area/level or domain in the "old" IGPs. We can have
the following cases:

 - a router in a area attached to a site
 - a router in a area attached to multiple sites
 - a site can span across areas/levels(but only a subset of the domain)

So the routing of a "site-local" address is not something defined
in our 'old' IGPs. We will have very complicated things to handle,
for example:

 - if we have a router with site-A on intf-A, site-B on intf-B,
   and rest of the intfs have no site defined. when it receives
   a LSP from intf-A with site-A's "site-local" addresses, what
   should the router do? should it only flood it into site-A only
   intfs, or site-A plus the non-sited interfaces? definitely
   not into the site-B interfaces.

 - if we need to flood it differently than the "normal" routes,
   then it should be contained in separate site-related LSPs.

 - if the level-1 interface and level-2 interface belong to the
   same site, does the site requirement overwrites the level rules
   in IGP, or still observes the level boundary? i assume it should
   follow the IGP level/area rules. but is there anyting special
   needed for site-local address leaking(or which site can be
   leaked over)?

 - if the router receives the same "site-local" addresses from
   both site-A intf, and site-B intf, how should this route(s)
   be installed? this is similar to connecting to VPNs each
   with private addresses, so do we need two "vrf'(srf) tables?
   loadshare among them does not sound correct even with
   equal costs.

 - can a non-site intf inbound packets being forwarded into
   a site-local intf? which site to pick?

Or we can declare we don't want to get into this mess, "site-local"
address can only be used in "vpn" sense like our 10/8 case.
multiple "sites" can be tunneled over the global backbone. then
there is nothing special about them. then a router can not be
attached to multiple "sites"(or each site has to use non-overlapping
site-local address space); an area/level can only belong to one
site, if route-leaking is allowed, then the entire domain can
only belong to one site. in that sense, the "site-local" is
just like 10/8 address space, only larger. but we don't seem to
have a need to document the 10/8 in IGPs. I probably missed 
something...

cheers.
- Naiming

---

From: RJ Atkinson <[email-masked]>
Date: Wed, 6 Nov 2002 11:18:49 -0500

One would be prudent to chat with the chairs of the IPv6 Ops WG
before putting "IPv6 site-local" into any draft.  Conversations
with Itojun indicate there are a number of unresolved issues,
including deployment/operations issues.  That aspect of IPv6
seems less stable than most.

Ran